Skip to main content
GET
/
api
/
stats
Get Chain Stats
curl --request GET \
  --url https://backend-global.gains.trade/api/stats
{
  "stats": [
    {}
  ]
}

Endpoint

GET /api/stats Returns protocol and trading statistics for a chain.

Parameters

ParameterLocationRequiredTypeDescription
chainIdqueryYesintegerBlockchain chain ID. Common values: 42161 Arbitrum, 8453 Base, 137 Polygon.

Usage Example

curl -X GET "https://backend-global.gains.trade/api/stats?chainId=42161"

Response Structure

The generated API panel lists the response schema for status codes: 200, 503, 500. Error responses generally return an error or message field.

Query Parameters

chainId
integer
required

Blockchain chain ID. Common values: 42161 Arbitrum, 8453 Base, 137 Polygon.

Example:

42161

Response

Successful response

stats
object[]